(include "sci.sh")
(include "game.sh")
(script TEXTVIEW_SCRIPT)
/******************************************************************************/
(use "obj")
(use "main")
(use "controls")
(use "syswindow")
/******************************************************************************/
/******************************************************************************/
(class TextView of Obj
	(properties
		fontNum 0
		xPos 0
		yPos 0
		
		silhouetteChar 0
		silhouetteColor 0
		savePixels 0
		
		frame1char 0
		frame1color clTRANSPARENT

		frame2char 0
		frame2color clTRANSPARENT

		frame3char 0
		frame3color clTRANSPARENT
		
		frame4char 0
		frame4color clTRANSPARENT
		
		frame5char 0
		frame5color clTRANSPARENT

		frame6char 0
		frame6color clTRANSPARENT

		frame7char 0
		frame7color clTRANSPARENT

		frame8char 0
		frame8color clTRANSPARENT

		frame9char 0
		frame9color clTRANSPARENT

		frame9char 0
		frame9color clTRANSPARENT

		frame10char 0
		frame10color clTRANSPARENT

		frame11char 0
		frame11color clTRANSPARENT

		frame12char 0
		frame12color clTRANSPARENT

		frame13char 0
		frame13color clTRANSPARENT

		frame14char 0
		frame14color clTRANSPARENT

	    frame15char 0
		frame15color clTRANSPARENT

		frame16char 0
		frame16color clTRANSPARENT				
	)

	(method (show)
		// draw the full silhouette of image with transparent pixels, saving the pixels underneath so we only have to do it once
	    = savePixels Display("H" dsCOORD xPos yPos dsCOLOUR silhouetteColor dsBACKGROUND clTRANSPARENT dsFONT fontNum dsSAVEPIXELS) 
		
		(if(<> frame1char 0)
		   Display(frame1char dsCOORD xPos yPos dsCOLOUR frame1color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)
		(if(<> frame2char 0)
		   Display(frame2char dsCOORD xPos yPos dsCOLOUR frame2color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)
		(if(<> frame3char 0)
		   Display(frame3char dsCOORD xPos yPos dsCOLOUR frame3color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame4char 0)
		   Display(frame4char dsCOORD xPos yPos dsCOLOUR frame4color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)
		(if(<> frame5char 0)
		   Display(frame5char dsCOORD xPos yPos dsCOLOUR frame5color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame6char 0)
		   Display(frame6char dsCOORD xPos yPos dsCOLOUR frame6color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame7char 0)
		   Display(frame7char dsCOORD xPos yPos dsCOLOUR frame7color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)
		(if(<> frame8char 0)
		   Display(frame8char dsCOORD xPos yPos dsCOLOUR frame8color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame9char 0)
		   Display(frame9char dsCOORD xPos yPos dsCOLOUR frame9color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame10char 0)
		   Display(frame10char dsCOORD xPos yPos dsCOLOUR frame10color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame11char 0)
		   Display(frame11char dsCOORD xPos yPos dsCOLOUR frame11color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame12char 0)
		   Display(frame12char dsCOORD xPos yPos dsCOLOUR frame12color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)			
		(if(<> frame13char 0)
		   Display(frame13char dsCOORD xPos yPos dsCOLOUR frame13color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame14char 0)
		   Display(frame14char dsCOORD xPos yPos dsCOLOUR frame14color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame15char 0)
		   Display(frame15char dsCOORD xPos yPos dsCOLOUR frame15color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)	
		(if(<> frame16char 0)
		   Display(frame16char dsCOORD xPos yPos dsCOLOUR frame16color dsBACKGROUND clTRANSPARENT dsFONT fontNum)     	
		)		
	)
	
	(method (hide)
		Display("" dsRESTOREPIXELS savePixels) 
	)
)
